MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003615ATutorModulespublic2008-10-24 10:252008-11-14 08:22
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.2 
Summary0003615: Module Install/Uninstall language
DescriptionWhen installing a module, the messages to add or remove the mods/ directory write permission do not make sense with the Yes/No buttons. There should probably be one "Continue" button instead, or maybe language to which yes/no can be answered (open for discussion). Currently if you choose no on one of these screens, nothing happens.


Same for deleting a module (the photo album I tested). The yes/no buttons don't make sense in the given context.

Same for deleting module data/directories.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003250)
cindy (administrator)
2008-10-28 08:04

Modify Message class, methods addConfirm(), printAbstract() to pass in 3 more parameters: button_yes_text, button_no_text, hide_no_button so that we can control the button texts and whether display button no.

Affected scripts:
include/class/Message/Message.class.php
themes/default/confirmmessage.tmpl.php
admin/modules/module_install_step_1.php
admin/modules/module_install_step_3.php
admin/modules/module_uninstall_step_1.php
admin/modules/module_uninstall_step_3.php

- Issue History
Date Modified Username Field Change
2008-10-24 10:25 greg New Issue
2008-10-24 10:25 greg Affects version => SVN
2008-10-28 08:04 cindy Status new => resolved
2008-10-28 08:04 cindy Fixed in Version => 1.6.2
2008-10-28 08:04 cindy Resolution open => fixed
2008-10-28 08:04 cindy Assigned To => cindy
2008-10-28 08:04 cindy Note Added: 0003250
2008-11-14 08:22 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker